Bug 1573482 - i915.enable_rc6=0 is not respected in new kernels
Summary: i915.enable_rc6=0 is not respected in new kernels
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1573112 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 13:18 UTC by klaus
Modified: 2018-11-30 22:01 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:01:34 UTC
Type: Bug


Attachments (Terms of Use)

Description klaus 2018-05-01 13:18:58 UTC
Description of problem:
Until kernel version 4.15.17-300 the i915.enable_rc6=0 in the boot was respected and my screen did not flicker.

Version-Release number of selected component (if applicable):
4.16.3-200 and 4.16.5-200

How reproducible:
If I boot on the newer kernels my screen flickers

Steps to Reproduce:
1. Reboot do not select the old kernel
2.
3.

Actual results:
Flickering screen

Expected results:
No flickering

Additional info:
Laptop Yoga 910

Comment 1 Laura Abbott 2018-05-01 14:33:12 UTC
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=fb6db0f5bf1d4d3a4af6242e287fa795221ec5b8 so it looks like it was removed intentionally . This is best tracked as a bug at bugzilla.freedesktop.org

Comment 2 Jeremy Cline 2018-05-01 14:51:53 UTC
*** Bug 1573112 has been marked as a duplicate of this bug. ***

Comment 3 klaus 2018-05-01 15:24:31 UTC
I'm not familiar with freedesktop.org.

I cannot find a kernel product to file the bug under.

|<

Comment 4 Julien 2018-05-01 15:53:25 UTC
I'm also affected by this issue.

In my case, disabling some CPU c-states as suggested in https://bugs.freedesktop.org/show_bug.cgi?id=105962 seems to do the trick.

Using intel_idle.max_cstate=1 prevents the flickering, as well as allowing c-states up to 5. With max_cstate=6 the flickering is back.

Comment 5 Brendan Rankin 2018-05-08 15:45:00 UTC
I have a Late 2017 Razer Blade Stealth w/ 8550 CPU. As of the 4.16 kernel, I too saw the flickering return.

For me, setting the max_cstate for the processor stopped the flickering as well. In my case, however, anything above 4 would cause the flickering to return.

Comment 6 klaus 2018-05-08 16:55:50 UTC
I've tried to use the intel_idle.max_cstate=1 with no good result, unfortunately.

Comment 7 Julien 2018-05-08 17:01:30 UTC
Sorry for the ticket hijacking then; this solution may be razer blade stealth specific (having an i7 7500U late 2016 RBS here).

Comment 8 klaus 2018-05-08 17:06:14 UTC
(In reply to klaus from comment #6)
> I've tried to use the intel_idle.max_cstate=1 with no good result,
> unfortunately.

My bad. I may have mistyped the setting when using a Danish keyboard - not familiar with a USAnian keyboard. 

I've just tried once again and now recent kernels boots without flickering on the screen.

So to conclude the intel_idle.max_cstate=1 is a fine workaround for me.

Comment 9 Julien 2018-05-08 17:12:19 UTC
(In reply to klaus from comment #8)
> (In reply to klaus from comment #6)
> > I've tried to use the intel_idle.max_cstate=1 with no good result,
> > unfortunately.
> 
> My bad. I may have mistyped the setting when using a Danish keyboard - not
> familiar with a USAnian keyboard. 
> 
> I've just tried once again and now recent kernels boots without flickering
> on the screen.
> 
> So to conclude the intel_idle.max_cstate=1 is a fine workaround for me.

As far as I understand it seems that this workaround is a more fine grained one than i915.enable_rc6=0. You might want to try to allow higher c-states too, to allow more power saving modes.

Comment 10 klaus 2018-05-08 17:19:30 UTC
One have to understand what is the effect of this particular setting, which I do not. Does it influence on the power usage?

Comment 11 Julien 2018-05-08 17:33:32 UTC
(In reply to klaus from comment #10)
> One have to understand what is the effect of this particular setting, which
> I do not. Does it influence on the power usage?

If I understand correctly (it would be nice to have a better explanation), rc6 is an intel GPU deep power saving mode. By disabling it, a side effect is to disable the whole CPU power saving modes (c-states). The various c-states are more or less deep power saving modes, that puts to sleep various units of the CPU.
More infos here https://software.intel.com/en-us/articles/power-management-states-p-states-c-states-and-package-c-states or here https://gist.github.com/wmealing/2dd2b543c4d3cff6cab7

Comment 12 Eldar Yusupov 2018-06-19 22:27:11 UTC
I'm actually experiencing hard lockups when using my laptop on battery again. I used to have these with the older kernel, but setting i915.enable_rc6=0 was fixing it.

Comment 13 Ben Cotton 2018-11-27 15:08:07 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 22:01:34 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.